> For the complete documentation index, see [llms.txt](https://doc.cess.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.cess.network/developer/cess-sdk/sdk-rust/chain/file_bank/claim_restoral_order.md).

# Claim Restoral Order

Claim the transaction that restored the order. A recovery order can only be claimed by one miner. During the recovery period, other miners will no longer be able to claim the order.

```rust
/// Asynchronously claims the transaction that restored the order.
///
/// This function is used to claim the transaction for restoring a file fragment. A recovery order can only be
/// claimed by one miner. During the recovery period, other miners will no longer be able to claim the order.
///
/// # Arguments
///
/// * `restoral_fragment` - A reference to a string representing the fragment of the file to be restored.
///
/// # Returns
///
/// * `Result<(TxHash, ClaimRestoralOrder), Box<dyn std::error::Error>>` -
///   If successful, returns a tuple containing the transaction hash (`TxHash`) and the claim restoral order
///   details (`ClaimRestoralOrder`). In case of an error, returns an error wrapped in a `Box`.
///
pub async fn claim_restoral_order(
    &self,
    restoral_fragment: &str,
) -> Result<(TxHash, ClaimRestoralOrder), Box<dyn std::error::Error>> 
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.cess.network/developer/cess-sdk/sdk-rust/chain/file_bank/claim_restoral_order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
